1. Authentication
FoodGuard Mobile API
  • Authentication
    • Resolve Company
      GET
    • User Login
      POST
    • User Logout
      POST
  • Lookups
    • List Branches
      GET
    • Get Branch Details
      GET
    • List Suppliers
      GET
    • Get Supplier Details
      GET
    • List Food Categories
      GET
    • List Shipment Types
      GET
  • Batch Management
    • List Batches
      GET
    • Create Batch
      POST
    • Get Batch Details
      GET
  • Phase 1: Truck Inspection
    • Submit Truck Inspection
      POST
    • Upload Escalation Photo
      POST
  • Phase 2: Label Analysis
    • Analyze Label (OCR)
      POST
    • Update Batch OCR Data
      PATCH
  • Phase 3: Sample Evaluation
    • List Batch Samples
      GET
    • Add Sample to Batch
      POST
    • Replace Sample Photo
      PATCH
    • Delete Sample
      DELETE
  • Phase 4: Finalize
    • Finalize Batch Inspection
      POST
  • Dashboard & History
    • Get Dashboard Stats
      GET
    • Get Inspection History
      GET
  • Settings
    • Get Temperature Thresholds
  • Schemas
    • Sample
    • ShipmentTypeObject
  1. Authentication

User Login

POST
/auth/login
Authenticate user and receive an access token. The company code is required to scope the login to the correct tenant.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "company": "demo",
    "email": "ahmed.hassan@foodguard.com",
    "password": "ln6jgAaY",
    "device_name": "iPhone 17"
}

Responses

🟢200
Login Successful
This response does not have a body.
🟠401
🟠404
🟠422
Modified at 2026-02-23 18:27:16
Previous
Resolve Company
Next
User Logout
Built with